/*
 *  defines.h - define general constants
 *
 *  Copyright (C) 1998-2000 Hugo Haas & Etienne Bernard
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _IPPL_DEFINES_H
#define _IPPL_DEFINES_H

#include "config.h"

/* Size used for buffers */
#define BUFFER_SIZE 1024

/* Length for packet details */
#define DETAILS_LENGTH 50

/* Length for a hostname */
#define HOST_LENGTH 512

/* Length for ICMP type */
#define TYPE_LENGTH 50

/* Length for service length */
#define SERVICE_LENGTH 512

/* Length of an ident reply response */
#define IDENT_LENGTH 64

/* Timeout for the ident reply */
#define IDENT_TIMEOUT 5

/* Ident port */
#define IDENT_PORT htons(113)

/* Unknown username for ident */
#define IDENT_UNKNOWN "unknown"

/* General purpose declarations */
#define NOT_DEFINED 0x0000

/* Useful types */
#ifdef __OS_SUNOS__
#	include <sys/types.h>
#else
#ifdef HAVE_STDINT_H
#	include <stdint.h>
#endif
#endif

#endif
