/*
 *  thread.c - function used to create new threads
 *
 *  Copyright (C) 1999-2000 Hugo Haas & Etienne Bernard
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <pthread.h>
#include <signal.h>

void runThread(pthread_t *t, void *(*function)(void*), void *param) {
  pthread_attr_t attr_t;
  sigset_t newset, oldset ;

  sigfillset(&newset);
  pthread_sigmask(SIG_BLOCK, &newset, &oldset);

  pthread_attr_init(&attr_t);
  pthread_attr_setdetachstate(&attr_t, PTHREAD_CREATE_DETACHED);
  pthread_create(t, &attr_t, function, param);
  pthread_attr_destroy(&attr_t);

  pthread_sigmask(SIG_UNBLOCK, &newset, &oldset);
}
